services:
  openresty:
    build:
      context: ./build
      args:
        - PANEL_OPENRESTY_VERSION=1.25.3.2-0-1-focal
        - RESTY_CONFIG_OPTIONS_MORE=${RESTY_CONFIG_OPTIONS_MORE}
        - RESTY_ADD_PACKAGE_BUILDDEPS=${RESTY_ADD_PACKAGE_BUILDDEPS}
        - CONTAINER_PACKAGE_URL=${CONTAINER_PACKAGE_URL}
    image: 1panel/openresty:1.25.3.2-0-1-focal
    container_name: ${CONTAINER_NAME}
    restart: always
    network_mode: host
    volumes:
      - ./conf/nginx.conf:/usr/local/openresty/nginx/conf/nginx.conf
      - ./conf/fastcgi_params:/usr/local/openresty/nginx/conf/fastcgi_params
      - ./conf/fastcgi-php.conf:/usr/local/openresty/nginx/conf/fastcgi-php.conf
      - ./conf/mime.types:/usr/local/openresty/nginx/conf/mime.types
      - ./conf/conf.d:/usr/local/openresty/nginx/conf/default/
      - ./log:/var/log/nginx
      - ./root:/usr/share/nginx/html
      - /etc/localtime:/etc/localtime
      - ./pwaf/data:/usr/local/openresty/1pwaf/data
      - ./${WEBSITE_DIR}:/www
      - ./conf/conf.d:/usr/local/openresty/nginx/conf/conf.d/
    labels:
      createdBy: "Apps"
